| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLBigDecimal Class Reference Inheritance diagram for XMLBigDecimal: [legend] Collaboration diagram for XMLBigDecimal: [legend] List of all members.
## Public Methods
| XMLBigDecimal (const XMLCh *const strValue)
| Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.
| ~XMLBigDecimal ()
| XMLBigDecimal (const XMLBigDecimal &toCopy)
| XMLBigDecimal (const XMLBigDecimal &toCopy, const int addExponent)
| Constructs a newly allocated `XMLBigDecimal` object from an existing XMLBigDecimal with an extra Exponent.
virtual XMLCh * | toString () const
| Return string representation of the decimal value.
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
XMLBigInteger * | getValue () const
unsigned int | getScale () const
unsigned int | getTotalDigit () const
bool | operator== (const XMLBigDecimal &toCompare) const
| Compares this object to the specified object.
## Static Public Methods
void | parseBigDecimal (const XMLCh *const strValue, XMLCh *const retValue, unsigned int &scaleValue)
int | compareValues (const XMLBigDecimal *const lValue, const XMLBigDecimal *const rValue)
void | matchScale (XMLBigDecimal *const lValue, XMLBigDecimal *const rValue)
## Constructor & Destructor Documentation
XMLBigDecimal::XMLBigDecimal | ( | const XMLCh *const | strValue | ) |
  | Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string. Parameters:
  strValue | the `String` to be converted to an `XMLBigDecimal`.
  Exceptions:
  NumberFormatException | if the `String` does not contain a parsable XMLBigDecimal.
XMLBigDecimal::~XMLBigDecimal | ( |  | ) |
XMLBigDecimal::XMLBigDecimal | ( | const XMLBigDecimal & | toCopy | ) |
XMLBigDecimal::XMLBigDecimal | ( | const XMLBigDecimal & | toCopy,
|  | const int | addExponent
| ) |
| Constructs a newly allocated `XMLBigDecimal` object from an existing XMLBigDecimal with an extra Exponent.
## Member Function Documentation
int XMLBigDecimal::compareValues | ( | const XMLBigDecimal *const | lValue,
|  | const XMLBigDecimal *const | rValue
| ) | `[static]`
virtual const XMLCh* XMLBigDecimal::getFormattedString | ( |  | ) | `[virtual]`
| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
virtual XMLCh* XMLBigDecimal::getRawData | ( |  | ) | `[virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
unsigned int XMLBigDecimal::getScale | ( |  | ) |
int XMLBigDecimal::getSign | ( |  | ) | `[virtual]`
| Returns the sign of this number. -1 negative 0 zero 1 positive Implements XMLNumber.
unsigned int XMLBigDecimal::getTotalDigit | ( |  | ) |
XMLBigInteger * XMLBigDecimal::getValue | ( |  | ) |
void XMLBigDecimal::matchScale | ( | XMLBigDecimal *const | lValue,
|  | XMLBigDecimal *const | rValue
| ) | `[static]`
bool XMLBigDecimal::operator== | ( | const XMLBigDecimal & | toCompare | ) | const
  | Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `XMLBigDecimal` object that contains the same `int` value as this object. Parameters:
  toCompare | the object to compare with.
Returns: `true` if the objects are the same; `false` otherwise.
void XMLBigDecimal::parseBigDecimal | ( | const XMLCh *const | strValue,
|  | XMLCh *const | retValue,
|  | unsigned int & | scaleValue
| ) | `[static]`
virtual XMLCh* XMLBigDecimal::toString | ( |  | ) | `[virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Implements XMLNumber.
The documentation for this class was generated from the following file: XMLBigDecimal.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.